%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%bcond_without openssl
%bcond_with nss
%bcond_with gnutls

# Sanity check
%if %{?with_openssl}%{?with_gnutls}%{?with_nss} != 1
%error Exactly one cryptography backend is needed. You may want to use --without openssl
%endif

Name:           pyxmlsec
Version:        0.3.1
Release:        1%{?dist}
Summary:        Python bindings for the XML Security Library

Group:          Development/Libraries
License:        GPLv2+
URL:            http://pyxmlsec.labs.libre-entreprise.org/
Source0:        http://labs.libre-entreprise.org/download.php/897/%{name}-%{version}.tar.gz
Patch0:         0001-Drop-shebang.patch

BuildRequires:  python-devel
BuildRequires:  libtool-ltdl-devel
BuildRequires:  xmlsec1-%{?with_openssl:openssl}%{?with_gnutls:gnutls}%{?with_nss:nss}-devel
# Needed for test
BuildRequires:  libxml2-python

%description
PyXMLSec is a set of Python bindings for the XML Security Library, a C
library based on LibXML2. The library supports major XML security standards
including, XML Signature, XML Encryption, Canonical XML and Exclusive
Canonical XML.


%prep
%setup -q
%patch0 -p1

# A non-UTF8 character
iconv -f iso8859-1 -t utf8 <AUTHORS >AUTHORS.utf8
touch -r AUTHORS AUTHORS.utf8
mv AUTHORS.utf8 AUTHORS


%build
echo %{?with_openssl:1}%{?with_gnutls:2}%{?with_nss:3} |
       CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
PYTHONPATH=$(echo build/lib.*/) python -mxmlsec -c 'print xmlsec.keyDataRsaId().getName()'


%files
%{python_sitearch}/*
%doc AUTHORS ChangeLog COPYING README TODO


%changelog
* Mon Oct 28 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.3.1-1
- New upstream release

* Thu Oct 24 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.3.0-14
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-8
- Fix x86_64 build (#664863)

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 19 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.3.0-6
- Depend on ltdl to fix EL-6 build

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.3.0-5
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.3.0-3
- bcond the cryptography backend, default to OpenSSL

* Wed Apr 15 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.3.0-2
- Fix AUTHORs file location for conversion (Marek Mahut)

* Wed Apr 15 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.3.0-1
- Initial packaging
